Skip to main content
GET
/
investors
/
{investor_id}
/
cash-management
/
balances
Get per-currency balances
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-management/balances \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "cash_management_balances",
  "livemode": true,
  "cash_management_account_id": "<string>",
  "balances": [
    {
      "currency": "<string>",
      "total_balance": "<string>",
      "available_balance": "<string>",
      "earning_balance": "<string>",
      "pending_sweep_balance": "<string>",
      "pending_withdrawal_balance": "<string>",
      "restricted_balance": "<string>",
      "lifetime_earnings": "<string>",
      "month_to_date_earnings": "<string>",
      "current_net_yield": "<string>",
      "liquidity": "<string>",
      "as_of": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required
Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

Response

200 - application/json

Balances by currency

object
string
Example:

"cash_management_balances"

livemode
boolean
cash_management_account_id
string
balances
object[]